Instalar archivos .run en GNU/Linux

He usado para hacer esta guia los drivers oficiales ATI para GNU/Linux (que se encuentran en extensión .run) http://pdamania.hu/images/cikk/ati_logo_1204_rgb1.jpg

Estos drivers los podemos descargar de la web oficial de ATI y nos da la opcion de elegir nuestro modelo de gráfica con su respectiva arquitectura de hardware.

Podemos acceder a la web oficial de descargar AQUI.

Una vez descargado el driver (de unos 40Mb) procedemos a ejecutarlo. EL archivo para sistemas Linux esta con extensión .run por lo que deberemos compilarlo para instalar.

1. Abrimos un Terminal y nos logeamos como su (root de sistema)

1.jpg

2. Nos dirigimos al directorio donde descargamos el driver (en mi caso /Desktop) Usamos #cd “carpeta”

2.jpg

3. Una vez carpeta ejecutamos:

# sudo sh ./nombre del archivo.run

3.jpg

4. Se nos iniciara la aplicación y ya prodremos trabajar con ella de forma gráfica. Ahi una muestra del Driver:

4.jpg

———————————————————————————————–

5.jpg

Espero que os haya sido útil.

Salu2

About these ads

46 respuestas a Instalar archivos .run en GNU/Linux

  1. DrDreaMx dice:

    Hola, me baje la versión ultimate gamer 1.4 basada en Ubuntu, pero al estar instalando recibo este mensaje:

    Failed to star the X server (your graphical interface). It is likely that is not set up correctly. Would you like to view the X server output to diagnose the problem?

    YES NOT

    Se refiere a los graficos, pero no se que hacer, quiero instalarlo en mi laptop:

    Es una Toshiba Satellite A215-S4817 la tarjeta grafica es una ATI X1200, alguna idea de como instalar los drivers, el problema es que de ese error no pasa.

  2. h2non dice:

    Prueba con otra distro. No te puedo concretar nada porque si no te mentiria.

  3. drdreamx dice:

    Me instale la version alternate, al parecer es necesario instalarla primero para de ahi instalar la versión grafica, alguna idea de como bajar los paquetes?…es necesario conectarse a internet para hacer el update, pero al conectar mi laptop al cable de red y hacer el update recibo el error de que no se realiza la conexion, alguna iea de como configurar los parametros para la red?..asignar ip?..por medio de texto.

  4. h2non dice:

    Con la esa pesima informacion no puedo ayudarte, no que que buscas, que quieres optener, que red tienes, si usas DNS o IP dinamica desde un router etc…
    Por cierto, si es necesario conexión a la red de internet para hacer apt-get update, si no, como actualizas la lista de paquetes de un servidor externo?
    No te desanimes, Salu2

  5. Alvaro dice:

    Hola, necesito ayuda, cuando intento entrar como SU me pide una contraseña… pero no me la se :( cual es la contraseña por defecto?? como consigo esa contraseña? ayudame por favor

  6. hora dice:

    Hola oye segui los pasos para instalar el driver de ati y si me funciono pero se me queda en el escritorio la carpeta de fglrx-install.e25774, y pues no se puede quitar o no se soy nuevo en esto como hago para no tenerla en el escritorio en caso de que se pueda

    y gracias por el manual..

  7. Hyoga dice:

    Hola, he leido como instalar el driver y me ha ido genial, ahora puedo poner el cubo de escritorio cuando antes no podia, muchas gracias, un saludo!!

  8. Elmer dice:

    disculpen lo descargue y lo tengo ubicado en mi escritorio
    pero ya despues de haber adquirido los privilegios de super usuario (root)
    no puedo instalarlo
    o como le digo que esta en el escritorio?
    :S

  9. Ouru dice:

    A mi con el Su me da problemas para poner la contraseña…, tengo que utilizar “Sudo su”, pero por el resto excelente!! :D:D, Gracias por la explicacion

  10. ESTA MAL INTENTO Y INTENTO dice:

    ESTA MAL EXPLICADO VOY A #cd “carpeta” ME DICE QUE NO EXIXTE EL DIRECTORIO Y LUEGO, sudo sh ./nombre del archivo.run Y NADA ES QUE TODOS LO EXPLICAN ACI Y NO ES HACI PORQUE NO EXPLICAN BIEN YO DIGO HACI LA GENTE NO PUEDE INSTAPLAR NADA

  11. muy bueno dice:

    Gracias amigo,muy bueno
    estamuy bien explicado, los que tienen problema alponer su, es porque ya estan como root, no lo necesitan volver a poner, solo van a la carpeta donde tienen el nombrearchivo.run ysiguen los pasos dela gfuia que estamuy bien, obvien los # que en otras distros es $. saludos y mil gracias.

  12. vik dice:

    HOLA QUE TAL..YO HE TENIDO PROBLEMAS AL INSTALAR EL DRIVER DEL VIDEO,NO ES UN ATI, PERO, ES UNA INTEGRADA VIAP4M890, EN OPENSUSE 11.0, Y AL MOMENTO DE EJECUTAR EL .RUN DA LO SIGUIENTE…

    cp: no se puede crear el fichero regular «/usr/X11R6/lib/modules/drivers/»: No existe el fichero o el directorio
    Now start to install VIA/S3G display utility…

    Warning, system cannot find the /usr/X11R6/lib/libXv.so.1.0 file.
    You can find the package in the installation CD.

    Abort, the utility is not installed.

    NOSE SI SEA PORQUE TENGO QUE CREAR LA CARPETA PRIMERO,SE QUE NO ES UNA ATI,PERO AGRADECERIA LA AYUDA QUE ME PUDIERAN DAR..GRACIAS..

  13. Carlos Garibaldi dice:

    Gracias por la ayuda eso si que estaba bien explicado

  14. Jeoks dice:

    Hola un saludo desde Colombia..gracias por el post , tu pagina es muuy buena ..exitos

  15. venedictux dice:

    muchas gracias tu información me ha servido de mucho… muy agradecido solo dejo una consulta, instalando esto puedo instalar si problemas el compiz fusion cierto? espero que si, de todos modos te comento si me resulta asi aclaramos la dudas para todos, muchas gracias.

  16. esegandalf dice:

    Muy buena la info tnks.

    Como le hiciste para configurar así tu terminal, quedó genial :)

  17. Wilson dice:

    Muchas gracias me funciono muy bien gracias a la explicacion… ahora se como ejecutar esos programitas Thx

  18. Lord RAziel dice:

    muchisimas gracias por tu post amigo me salvaste la vida THNX buddy

  19. obich dice:

    ola h2non, qiero hacerte una pregunta, e visto este mini tutorial de como instalar el driver propietario de ati y me sale lo siguiente:

    obich@ubuntu:~/Escritorio$ sudo sh ./ati-driver-installer-8.28.8.run
    Creating directory fglrx-install
    Verifying archive integrity… All good.
    Uncompressing ATI Proprietary Linux Driver-8.28.8……………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………….
    -e ==================================================
    -e ATI Technologies Linux Driver Installer/Packager
    -e ==================================================
    Detected configuration:
    Architecture: i686 (32-bit)
    X Server: unable to detect
    Removing temporary directory: fglrx-install
    obich@ubuntu:~/Escritorio$

    qé debo hacer para poder instalarlo?¿, la verdad es qe soy uevo en linux y la verdad, me gustaria poder manejarlo bien, muchas gracias

  20. obich dice:

    aora me sale esto:

    obich@ubuntu:~$ aptitude search x-window
    p matchbox-window-manager – window manager for resource-limited systems
    v x-window-manager –
    v x-window-system –
    v x-window-system-core –

    esto es qe no los tengo instalados verdad?¿’

  21. l2afa dice:

    Porqe es asi…. lo ponen tan sencillo y a la hora de la hora nada jala como dicen….. tengo el debian 5.0 con lxde… y no me acepta nada…. qe novedad!
    Ya lo he instalado tmb con xfce y nada….

    No he podido configurar ni el audio, probablemente no se como descomprimir los archivos… o hay algun problema con mis compuadoras…

    estoy empezando a mandar a la mierda esa distro…
    ciao

  22. tetito3 dice:

    locko buen tuto!!

    nice!!!!!!

    chido!
    chido!!

  23. l2afa dice:

    Ya mas convencido con todas las plataformas pude instalarlo y al igual qe el audio y el wireless… gracias a alien :D

    Gracias por el tuto… excelente en Lenny 5.0 con Gnome.

  24. Posibles soluciones [EXECUTOR] dice:

    hola a todos e visto el comentario de todos, a algunos les marca error al instalar por que les hace falta instalar los paquetes que dice en la pagina oficial de ati los cuales abriendo el gestor de programas Synapics pueden hacerlo mas facil, y esto es para los que usan alguna distro de GNU/Linux con gnome:
    􀁺 XFree86-Mesa-libGL
    􀁺 libstdc++
    􀁺 libgcc
    􀁺 XFree86-libs
    􀁺 fontconfig
    􀁺 freetype
    􀁺 zlib
    􀁺 gcc
    solo un dato curioso de los paquetes, no todos los van a encontrar tal y como dice la pagina de ATI osea los que les puse en lista, por ejemplo xfree86=mesa=libs lo encontraran poniendo en sinapycs xfree86 y ese que le salga lo instalan,otro es el de freetype la encontraran como freetype2demo, zlib lo encontraran como zlib1 o libz2 depende de las actualizaciones del sistema.
    Otra cosa que debemos hacer y nos dice la pagina es instalar es tener instalado MAKE, este paquete lo encontraran asi tal y como se los puse y otro que se llama kbuil este sirve para que el kernel construya el archivo de instalacion y añada al kernel osea linux la configuracion de la tarjeta en pocas palabras el controlador o driver, tambien debemos de instalar los headers y sources al kernel, cuando lo busquen le tienen que poner linux=headers-xxxversiondelncleoxxx y el source seria linux=sources-xxxversiondelnucleo
    Se preguntaran cual es la version del nucleo lo pueden hacer desde la consola tecleando unname -a y como resultado adelante de la palabra linux les tiene que dar el numero por ejemplo en la mia aparese linux-2.6.30-amd64.
    por ultimo esto se los digo por la experiencia que obtube ya que mi laptop es una acer aspire 5535 con procesador AMDAthlon 64 X2, tarjeta atheros wifi serie AR5009 y tarjeta ATI radeon HD3200 con 256 de ram de video y 2 gb en ram.
    no les presumo nada pero para mi lap tube muchos problemas ya que tube que esperar el controlador ati 9.6 por que con versiones anteriores no soportaba al 100 con el kernel linux 2.6.30 y mucho menos con gnome, ahora lo soporta perfecto, tengo S.O. Debian lenny y gnome 2.26 y tambien ubuntu 9.04 que a diferencia de debian, puede uno descargar el controlador facilmente por que trae la herramienta que se llama jockey y detecta la tarjeta y la instala esa seria una buena distro para los que estan cansado de instalar cosas como las que les explique

    les deseo que les funcione.. saludos desde MEXICO

  25. leonel dice:

    no esta bien explicado.

  26. kiitzOgen dice:

    Me dice que no es la versión correcta aunque he descargado la que me dice la web de ATI….

  27. n00benLinux dice:

    Buenas,
    Estoy probando de manera virtual la distri Mint7 y la verdad siendo la tercera o cuarta vez que rulo con Linux esta me esta dejando un buen sabor de boca.

    A lo que iba gracias por decirme como arrancar el instalador de los drivers de la VGA de ati.

    PD: Voy a subirle a RAM a esta “feria” porque le va a hacer fatal.

    Salu2 y gracias

  28. n00benLinux dice:

    Nas again,

    Una nota mental que quizas les venga bien a los que piensas en win: la carpeta escritorio se puede llamar por su nombre en español o en ingles.

    PD: mi distri esta en español con lo que lo aprendi a golpes xDD

    Salu2

  29. Martin dice:

    Muchisimas gracias , me salvaste la vida.

  30. Kugar dice:

    Muchas gracias!

    Un saludo.

  31. Andrés dice:

    te quiero tio xD eres genial. te voy a decir que no es un aporte muy importante, y por eso me gusta el aporte xD da gusto usar el señor google y resolver las cosas al momento gracias a fenómenos como tu.

    Suerte, tienes un buen blog

  32. ramonchu dice:

    Gracias por la ayuda a mi me ha servido.

  33. Rammstein dice:

    Gracias me fue util.

  34. s7even dice:

    men como le hago pa ponerle ese fondo de assasinds creed ?? sepuede poner en cual kiero }potra carpeta? gracias

  35. fran dice:

    gracias mi primera intalacion desde terminal y aora probare con mas cosas
    bien esplicado si me valio ami que soi un negado ejjeje

  36. Gracias dice:

    Hola, gracias por tu ayuda. Me ha sido de gran ayuda. Y para algunos de los que dicen que no, ¿no piensan que deberian aprender a escribir correctamente antes de meterse en cosas como linux? Es una observacion y un consejo. Saludos y Gracias de nuevo.

  37. 1antares1 dice:

    Gracias hermano por tu ayuda, y más por que colocaste imágenes del mismo.

    Perfecto todo, y aparte, corre perfectamente mi Tarjeta de video con todos sus efectos con Compiz.

    Dios tendrá algo bonito para ti hoy :) Saludos!

  38. guillermo dice:

    Me manda ese error, ayuda porfavor

    ERROR: You appear to be running an X server; please exit X before
    installing. For further details, please see the section INSTALLING
    THE NVIDIA DRIVER in the README available on the Linux driver
    download page at http://www.nvidia.com.

  39. Fred dice:

    nesesito ayuda con el driver ATI
    llego hasta el paso #3 pongo en la terminal sudo sh ./ati-driver-installer-9-3-x86.x86_64.run
    y me da como resultado :
    Error: ./default_policy.sh does not support version
    default:v2:i686:lib::none:2.6.32-5-686; make sure that the version is being
    correctly set by –iscurrentdistro

    Removing temporary directory: fglrx-install.ZlVHwA

  40. freesiete dice:

    Mismo problema que Fred. ¿Alguna idea?. Gracias

  41. félix dice:

    Me sale esta respuesta una vez que pongo el pass
    felix@toxibux:~$ cd Desktop/
    felix@toxibux:~/Desktop$ dir
    alacarte-made.desktop ati-driver-installer-9-3-x86.x86_64.run
    felix@toxibux:~/Desktop$ sudo sh ./ati-driver-installer-9.3-x.86.x86_64.run
    sh: Can’t open ./ati-driver-installer-9.3-x.86.x86_64.run

    alguna idea de que hacer?

    Gracias

  42. ciro dice:

    mismo problema que freesiete y fred. Por favor alguien que encuentre la solucion…

    Tengo una Raedon, cuando le doy al comando “lspci |grep VGA” este me devuelve “compatible controller: ATI Technologies Inc RV535 [Radeon X1650 Series]”

    es decir que eso de que no es compatible no es del todo cierto. No comprendo este error…

  43. Isma dice:

    Yo lo intente los mismos pasos que me propones, pero con una targeta gráfica de Nvidia y me dice que orden no encontrada, me podrías ayudar por favor, de ante mano, muchas gracias !

  44. Roberto dice:

    Muy útil. Gracias!

  45. Modsplay dice:

    Buenas,
    a mi me sucede esto

    Error: ./default_policy.sh does not support version
    default:v2:x86_64:lib::none:3.0.0-12-generic; make sure that the version is being
    correctly set by –iscurrentdistro

    Es el nucleo que no soporta el driver???

  46. Caracono dice:

    Muy útil, gracias!

Deja un comentario

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

Seguir

Recibe cada nueva publicación en tu buzón de correo electrónico.

%d personas les gusta esto: